ElementImpl (Xerces2 Implementation)
Keywords: org.apache.xerces.impl.xs.opti.ElementImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class ElementImpl

    java.lang.Object
      org.apache.xerces.impl.xs.opti.DefaultNode
          org.apache.xerces.impl.xs.opti.NodeImpl
              org.apache.xerces.impl.xs.opti.DefaultElement
                  org.apache.xerces.impl.xs.opti.ElementImpl

All Implemented Interfaces:
  org.w3c.dom.Element, org.w3c.dom.Node

    public class ElementImpl

extends DefaultElement

Version:
  $Id: ElementImpl.java 779171 2009-05-27 13:42:33Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc., Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ElementImpl(int line, int column)`
`ElementImpl(int line, int column, int offset)`
`ElementImpl(java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, int line, int column)`
`ElementImpl(java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, int line, int column, int offset)`

Method Summary
`java.lang.String` | `getAnnotation()`
`java.lang.String` | `getAttribute(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.NamedNodeMap` | `getAttributes()`
`int` | `getCharacterOffset()` Returns the character offset.
`int` | `getColumnNumber()` Returns the column number.
`org.w3c.dom.Node` | `getFirstChild()`
`org.w3c.dom.Node` | `getLastChild()`
`int` | `getLineNumber()` Returns the line number.
`org.w3c.dom.Node` | `getNextSibling()`
`org.w3c.dom.Document` | `getOwnerDocument()`
`org.w3c.dom.Node` | `getParentNode()`
`org.w3c.dom.Node` | `getPreviousSibling()`
`java.lang.String` | `getSyntheticAnnotation()`
`java.lang.String` | `getTagName()`
`boolean` | `hasAttribute(java.lang.String name)`
`boolean` | `hasAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`void` | `setAttribute(java.lang.String name, java.lang.String value)`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultElement
`getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, removeAttribute, removeAttributeNode, removeAttributeNS, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from class org.apache.xerces.impl.xs.opti.NodeImpl
`getLocalName, getNamespaceURI, getNodeName, getNodeType, getPrefix, getReadOnly, setReadOnly, toString`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode
`appendChild, cloneNode, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getNodeValue, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getLocalName, getNamespaceURI, getNodeName, getNodeType, getNodeValue, getPrefix, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### ElementImpl

    public ElementImpl(int line,
                       int column,
                       int offset)

### ElementImpl

    public ElementImpl(int line,
                       int column)

### ElementImpl

    public ElementImpl(java.lang.String prefix,
                       java.lang.String localpart,
                       java.lang.String rawname,
                       java.lang.String uri,
                       int line,
                       int column,
                       int offset)

### ElementImpl

    public ElementImpl(java.lang.String prefix,
                       java.lang.String localpart,
                       java.lang.String rawname,
                       java.lang.String uri,
                       int line,
                       int column)

Method Detail

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `org.w3c.dom.Node`
  Overrides:
    `getOwnerDocument` in class `DefaultNode`

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Specified by:
    `getParentNode` in interface `org.w3c.dom.Node`
  Overrides:
    `getParentNode` in class `DefaultNode`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `DefaultNode`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `DefaultNode`

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Specified by:
    `getLastChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getLastChild` in class `DefaultNode`

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `org.w3c.dom.Node`
  Overrides:
    `getPreviousSibling` in class `DefaultNode`

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `org.w3c.dom.Node`
  Overrides:
    `getNextSibling` in class `DefaultNode`

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `getAttributes` in class `DefaultNode`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasAttributes` in class `DefaultNode`

### getTagName

    public java.lang.String getTagName()

  Specified by:
    `getTagName` in interface `org.w3c.dom.Element`
  Overrides:
    `getTagName` in class `DefaultElement`

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `org.w3c.dom.Element`
  Overrides:
    `getAttribute` in class `DefaultElement`

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Specified by:
    `getAttributeNode` in interface `org.w3c.dom.Element`
  Overrides:
    `getAttributeNode` in class `DefaultElement`

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Specified by:
    `getAttributeNS` in interface `org.w3c.dom.Element`
  Overrides:
    `getAttributeNS` in class `DefaultElement`

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  Specified by:
    `getAttributeNodeNS` in interface `org.w3c.dom.Element`
  Overrides:
    `getAttributeNodeNS` in class `DefaultElement`

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    `hasAttribute` in interface `org.w3c.dom.Element`
  Overrides:
    `hasAttribute` in class `DefaultElement`

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)

  Specified by:
    `hasAttributeNS` in interface `org.w3c.dom.Element`
  Overrides:
    `hasAttributeNS` in class `DefaultElement`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)

  Specified by:
    `setAttribute` in interface `org.w3c.dom.Element`
  Overrides:
    `setAttribute` in class `DefaultElement`

### getLineNumber

    public int getLineNumber()

  Returns the line number.

### getColumnNumber

    public int getColumnNumber()

  Returns the column number.

### getCharacterOffset

    public int getCharacterOffset()

  Returns the character offset.

### getAnnotation

    public java.lang.String getAnnotation()

### getSyntheticAnnotation

    public java.lang.String getSyntheticAnnotation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.